<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtygis.mapper.StationMapper">

    <resultMap id="stationMap" type="com.tofly.xrtygis.entity.Station">
        <id property="id" column="ID"/>
        <result property="sid" column="SID"/>
        <result property="facilityid" column="FACILITYID"/>
        <result property="name" column="NAME"/>
        <result property="monitortype" column="MONITORTYPE"/>
        <result property="manufacturer" column="MANUFACTURER"/>
        <result property="modal" column="MODAL"/>
        <result property="distno" column="DISTNO"/>
        <result property="areano" column="AREANO"/>
        <result property="depth" column="DEPTH"/>
        <result property="x" column="X"/>
        <result property="y" column="Y"/>
        <result property="groundz" column="GROUNDZ"/>
        <result property="district" column="DISTRICT"/>
        <result property="laneway" column="LANEWAY"/>
        <result property="address" column="ADDRESS"/>
        <result property="surveyunit" column="SURVEYUNIT"/>
        <result property="ownerunit" column="OWNERUNIT"/>
        <result property="maintainedunit" column="MAINTAINEDUNIT"/>
        <result property="surveydate" column="SURVEYDATE"/>
        <result property="indate" column="INDATE"/>
        <result property="installdate" column="INSTALLDATE"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="createTime" column="CREATE_TIME"/>
        <result property="remark" column="REMARK"/>
        <result property="fileIds" column="FILE_IDS"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.xrtygis.mapper.IFileMapper.getUserName"></association>
    </resultMap>


</mapper>
